/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */
#ifndef __GdomConsole_H__
#define __GdomConsole_H__
#include <webkit/webkitdefines.h>
#include "gdom/GdomDOMObject.h"
#include "glib-object.h"


G_BEGIN_DECLS

typedef struct _GdomConsole GdomConsole;
typedef struct _GdomConsoleClass GdomConsoleClass;


#define GDOM_TYPE_CONSOLE            (gdom_console_get_type())
#define GDOM_CONSOLE(obj)            (G_TYPE_CHECK_INSTANCE_CAST((obj), GDOM_TYPE_CONSOLE, GdomConsole))
#define GDOM_CONSOLE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST((klass),  GDOM_TYPE_CONSOLE, GdomConsole)Class)
#define GDOM_IS_CONSOLE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE((obj), GDOM_TYPE_CONSOLE))
#define GDOM_IS_CONSOLE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE((klass),  GDOM_TYPE_CONSOLE))
#define GDOM_CONSOLE_GET_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS((obj),  GDOM_TYPE_CONSOLE, GdomConsoleClass))

typedef struct _GdomConsolePrivate GdomConsolePrivate;

struct _GdomConsole {
    GdomDOMObject parent_instance;
    GdomConsolePrivate *priv;
};

struct _GdomConsoleClass {
    GObjectClass parent_class;
};

WEBKIT_API GType
gdom_console_get_type (void);


/* XXX TODO: custom function gdom_console_debug */


/* XXX TODO: custom function gdom_console_error */


/* XXX TODO: custom function gdom_console_info */


/* XXX TODO: custom function gdom_console_log */


/* XXX TODO: custom function gdom_console_warn */


/* XXX TODO: custom function gdom_console_dir */


/* XXX TODO: custom function gdom_console_dirxml */


/* XXX TODO: custom function gdom_console_assert */


/* XXX TODO: custom function gdom_console_count */


/* XXX TODO: custom function gdom_console_profile */


/* XXX TODO: custom function gdom_console_profile_end */

WEBKIT_API void
gdom_console_time (GdomConsole *thiz, gchar * title);


/* XXX TODO: custom function gdom_console_time_end */


/* XXX TODO: custom function gdom_console_group */

WEBKIT_API void
gdom_console_group_end (GdomConsole *thiz);

G_END_DECLS

#endif /* __GdomConsole_H__ */
